#!/bin/sh
test -d $HOME/.pcsx || mkdir $HOME/.pcsx
test -e $HOME/.pcsx/pcsx || ln -sf PCSXDIR/pcsx $HOME/.pcsx
test -e $HOME/.pcsx/Bios || ln -sf PCSXDIR/Bios $HOME/.pcsx
test -e $HOME/.pcsx/Plugin || ln -sf PCSXDIR/Plugin $HOME/.pcsx
if ! test -d $HOME/.pcsx/cfg
then
	mkdir $HOME/.pcsx/cfg
fi
for i in PCSXDIR/cfg/*
do
	test -e $HOME/.pcsx/cfg/${i##*/} || ln -s $i $HOME/.pcsx/cfg
done
test -d $HOME/.pcsx/memcards || mkdir $HOME/.pcsx/memcards
test -d $HOME/.pcsx/sstates || mkdir $HOME/.pcsx/sstates
test -d $HOME/.pcsx/snap || mkdir $HOME/.pcsx/snap
test -e $HOME/.pcsx/.pixmaps || ln -sf PCSXDIR/.pixmaps $HOME/.pcsx

cd $HOME/.pcsx
exec ./pcsx
